Bug 1081589 - (CVE-2014-0155) CVE-2014-0155 kernel: kvm: BUG caused by invalid entry in guest ioapic redirection table
CVE-2014-0155 kernel: kvm: BUG caused by invalid entry in guest ioapic redire...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140404,repo...
: Security
Depends On: 1081590 1085016
Blocks: 1081595
  Show dependency treegraph
 
Reported: 2014-03-27 12:06 EDT by Petr Matousek
Modified: 2015-10-15 14:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 12:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-03-27 12:06:34 EDT
It was found that invalid entries in guest ioapic redirection table could lead to BUG_ON in ioapic_deliver() function.

A privileged user in the guest could use this flaw to crash the host.

Acknowledgements:

This issue was discovered by Red Hat.
Comment 2 Petr Matousek 2014-03-27 12:09:27 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of kvm package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6.

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 5 and Red Hat Enterprise MRG 2 as they did not provide support
for the KVM subsystem.
Comment 3 Petr Matousek 2014-04-07 10:26:01 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1085016]
Comment 5 Fedora Update System 2014-04-18 11:36:16 EDT
kernel-3.13.10-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-05-05 23:31:47 EDT
kernel-3.13.11-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.